Failed Upgrade? No bindings installed and no webgui's

I upgraded my OH2 last night as it has been a while since doing so. I run the latest snapshot; 2.5 build 1645

But after the upgrade, I have no webgui; start/index not found in a browser, and my log shows this:

2019-09-09 12:06:11.352 [INFO ] [el.core.internal.ModelRepositoryImpl] - Loading model 'speedtest.rules'
2019-09-09 12:06:11.620 [ERROR] [core.karaf.internal.FeatureInstaller] - Failed installing 'openhab-binding-hue, openhab-binding-exec, openhab-misc-restdocs, openhab-misc-openhabcloud, openhab-persistence-influxdb, openhab-binding-darksky, openhab-ui-habpanel, openhab-misc-hueemulation, openhab-ui-restdocs, openhab-transformation-map, openhab-ui-classic, openhab-ui-habmin, openhab-transformation-xslt, openhab-transformation-exec, openhab-ui-paper, openhab-binding-wol1, openhab-transformation-scale, openhab-binding-samsungtv, openhab-binding-http1, openhab-misc-market, openhab-transformation-javascript, openhab-binding-tcp1, openhab-binding-weather1, openhab-transformation-regex, openhab-transformation-jsonpath, openhab-binding-zwave, openhab-transformation-xpath, openhab-persistence-rrd4j, openhab-ui-basic, openhab-binding-ntp, openhab-action-mail, openhab-binding-openweathermap, openhab-binding-astro': Unable to resolve root: missing requirement [root] osgi.identity; osgi.identity=openhab-transformation-jsonpath; type=karaf.feature; version="[2.5.0.SNAPSHOT,2.5.0.SNAPSHOT]"; filter:="(&(osgi.identity=openhab-transformation-jsonpath)(type=karaf.feature)(version>=2.5.0.SNAPSHOT)(version<=2.5.0.SNAPSHOT))" [caused by: Unable to resolve openhab-transformation-jsonpath/2.5.0.SNAPSHOT: missing requirement [openhab-transformation-jsonpath/2.5.0.SNAPSHOT] osgi.identity; osgi.identity=org.openhab.transform.jsonpath; type=osgi.bundle; version="[2.5.0.201909080702,2.5.0.201909080702]"; resolution:=mandatory [caused by: Unable to resolve org.openhab.transform.jsonpath/2.5.0.201909080702: missing requirement [org.openhab.transform.jsonpath/2.5.0.201909080702] osgi.wiring.package; filter:="(&(osgi.wiring.package=com.jayway.jsonpath)(version>=2.4.0)(!(version>=3.0.0)))"]]
2019-09-09 12:06:12.266 [INFO ] [el.core.internal.ModelRepositoryImpl] - Loading model 'xbmc.rules'

And when I log in the Karaf console, I see this:

[quote]openhab> bundle:list
START LEVEL 100 , List Threshold: 50
ID | State | Lvl | Version | Name
----±-------±----±----------------------±------------------------------------------------------
20 | Active | 80 | 5.3.1.201602281253 | OSGi JAX-RS Connector
21 | Active | 80 | 2.8.2.v20180104-1110 | Gson: Google Json Library for Java
22 | Active | 80 | 18.0.0 | Guava: Google Core Libraries for Java
23 | Active | 80 | 21.0.0 | Guava: Google Core Libraries for Java
24 | Active | 80 | 3.0.0.v201312141243 | Google Guice (No AOP)
25 | Active | 80 | 3.18.1.GA | Javassist
28 | Active | 80 | 3.5.5 | JmDNS
30 | Active | 80 | 1.0.0 | Units of Measurement API
32 | Active | 80 | 1.1.0.Final | Bean Validation API
34 | Active | 80 | 2.0.1 | javax.ws.rs-api
35 | Active | 80 | 2.9.2 | Joda-Time
36 | Active | 80 | 0.5.8 | Jollyday
37 | Active | 80 | 3.2.0.v201101311130 | ANTLR Runtime
39 | Active | 80 | 3.2.1 | Commons Collections
40 | Active | 80 | 1.1 | Commons Exec
41 | Active | 80 | 2.2.0 | Commons IO
42 | Active | 80 | 2.6 | Commons Lang
51 | Active | 80 | 4.2.6 | Apache Karaf :: OSGi Services :: Event
66 | Active | 80 | 1.4.7.1 | Apache ServiceMix :: Bundles :: xstream
68 | Active | 80 | 4.12.0 | Apache XBean OSGI Bundle Utilities
69 | Active | 80 | 4.12.0 | Apache XBean :: Classpath Resource Finder
70 | Active | 80 | 2.12.0.v20160420-0247 | EMF Common
71 | Active | 80 | 2.12.0.v20160420-0247 | EMF Ecore
72 | Active | 80 | 2.11.0.v20160420-0247 | EMF Change Model
73 | Active | 80 | 2.12.0.v20160420-0247 | EMF XML/XMI Persistence
74 | Active | 80 | 3.9.0.v20170207-1454 | Common Eclipse Runtime
85 | Active | 80 | 9.4.18.v20190429 | Jetty :: Proxy
103 | Active | 80 | 0.6.0.v20181130-0903 | org.eclipse.lsp4j
104 | Active | 80 | 0.6.0.v20181130-0903 | org.eclipse.lsp4j.jsonrpc
105 | Active | 80 | 2.17.0.v20190304-0518 | Xtend Runtime Library
106 | Active | 80 | 2.17.0.v20190304-0518 | Xtend Macro Interfaces
107 | Active | 80 | 2.17.0.v20190304-0545 | Xtext
108 | Active | 80 | 2.17.0.v20190304-0626 | Xtext Common Types
109 | Active | 80 | 2.17.0.v20190304-0545 | Xtext IDE Core
110 | Active | 80 | 2.17.0.v20190304-0545 | Xtext Utility
111 | Active | 80 | 2.17.0.v20190304-0626 | Xbase Model
112 | Active | 80 | 2.17.0.v20190304-0626 | Xbase Generic IDE Services
113 | Active | 80 | 2.17.0.v20190304-0518 | Xbase Runtime Library
128 | Active | 80 | 1.9.6 | MIME streaming extension
130 | Active | 80 | 7.1.0 | org.objectweb.asm
131 | Active | 80 | 7.1.0 | org.objectweb.asm.commons
132 | Active | 80 | 7.1.0 | org.objectweb.asm.tree
133 | Active | 80 | 2.5.0.201907230301 | openHAB Core :: Bundles :: Core
134 | Active | 80 | 2.5.0.201907230307 | openHAB Core :: Bundles :: Audio
135 | Active | 80 | 2.5.0.201907230317 | openHAB Core :: Bundles :: OAuth2Client
136 | Active | 80 | 2.5.0.201907230315 | openHAB Core :: Bundles :: Binding XML
137 | Active | 90 | 2.5.0.201907230312 | openHAB Core :: Bundles :: Boot
138 | Active | 80 | 2.5.0.201907230302 | openHAB Core :: Bundles :: Configuration Core
139 | Active | 80 | 2.5.0.201907230303 | openHAB Core :: Bundles :: Configuration Discovery
140 | Active | 80 | 2.5.0.201907230323 | openHAB Core :: Bundles :: Configuration mDNS Discove
141 | Active | 80 | 2.5.0.201907230324 | openHAB Core :: Bundles :: Configuration Dispatcher
142 | Active | 75 | 2.5.0.201907230314 | openHAB Core :: Bundles :: Configuration XML
143 | Active | 80 | 2.5.0.201907230306 | openHAB Core :: Bundles :: Ephemeris
144 | Active | 80 | 2.5.0.201907230315 | openHAB Core :: Bundles :: ID
145 | Active | 80 | 2.5.0.201907230302 | openHAB Core :: Bundles :: Console
146 | Active | 80 | 2.5.0.201907230318 | openHAB Core :: Bundles :: Console for OSGi runtime K
147 | Active | 80 | 2.5.0.201907230306 | openHAB Core :: Bundles :: HTTP Interface
149 | Active | 80 | 2.5.0.201907230319 | openHAB Core :: Bundles :: Monitor
150 | Active | 80 | 2.5.0.201907230303 | openHAB Core :: Bundles :: Network I/O
151 | Active | 80 | 2.5.0.201907230315 | openHAB Core :: Bundles :: REST Interface
152 | Active | 80 | 2.5.0.201907230319 | openHAB Core :: Bundles :: REST Interface :: Core
153 | Active | 80 | 2.5.0.201907230320 | openHAB Core :: Bundles :: REST mDNS Announcer
154 | Active | 80 | 2.5.0.201907230320 | openHAB Core :: Bundles :: REST JAX-RS Optimizations
155 | Active | 80 | 2.5.0.201907230320 | openHAB Core :: Bundles :: Sitemap REST Interface
156 | Active | 80 | 2.5.0.201907230321 | openHAB Core :: Bundles :: SSE Interface
157 | Active | 80 | 2.5.0.201907230321 | openHAB Core :: Bundles :: Voice REST Interface
158 | Active | 80 | 2.5.0.201907230317 | openHAB Core :: Bundles :: mDNS Service
159 | Active | 80 | 2.5.0.201907230314 | openHAB Core :: Bundles :: Karaf Integration
160 | Active | 80 | 2.5.0.201907230305 | openHAB Core :: Bundles :: Model Core
161 | Active | 80 | 2.5.0.201907230313 | openHAB Core :: Bundles :: Model Items
162 | Active | 80 | 2.5.0.201907230325 | openHAB Core :: Bundles :: Model Item IDE
163 | Active | 80 | 2.5.0.201907230326 | openHAB Core :: Bundles :: Model Items Runtime
164 | Active | 80 | 2.5.0.201907230330 | openHAB Core :: Bundles :: Language Server
165 | Active | 80 | 2.5.0.201907230306 | openHAB Core :: Bundles :: Model Persistence
166 | Active | 80 | 2.5.0.201907230326 | openHAB Core :: Bundles :: Model Persistence IDE
167 | Active | 80 | 2.5.0.201907230330 | openHAB Core :: Bundles :: Model Persistence Runtime
168 | Active | 80 | 2.5.0.201907230309 | openHAB Core :: Bundles :: Model Rules
169 | Active | 80 | 2.5.0.201907230327 | openHAB Core :: Bundles :: Model Rule IDE
170 | Active | 80 | 2.5.0.201907230310 | openHAB Core :: Bundles :: Model Rules Runtime
171 | Active | 80 | 2.5.0.201907230308 | openHAB Core :: Bundles :: Model Script
172 | Active | 80 | 2.5.0.201907230327 | openHAB Core :: Bundles :: Model Script IDE
173 | Active | 80 | 2.5.0.201907230330 | openHAB Core :: Bundles :: Model Script Runtime
174 | Active | 80 | 2.5.0.201907230311 | openHAB Core :: Bundles :: Model Sitemap
175 | Active | 80 | 2.5.0.201907230328 | openHAB Core :: Bundles :: Model Sitemap IDE
176 | Active | 80 | 2.5.0.201907230330 | openHAB Core :: Bundles :: Model Sitemap Runtime
177 | Active | 80 | 2.5.0.201907230329 | openHAB Core :: Bundles :: Model Thing
178 | Active | 80 | 2.5.0.201907230329 | openHAB Core :: Bundles :: Model Thing IDE
179 | Active | 80 | 2.5.0.201907230331 | openHAB Core :: Bundles :: Model Thing Runtime
180 | Active | 80 | 2.5.0.201907230305 | openHAB Core :: Bundles :: Persistence
181 | Active | 80 | 2.5.0.201907230304 | openHAB Core :: Bundles :: Scheduler Service
182 | Active | 80 | 2.5.0.201907230316 | openHAB Core :: Bundles :: Semantics
183 | Active | 80 | 2.5.0.201907230331 | openHAB Core :: Bundles :: JSON Storage
184 | Active | 80 | 2.5.0.201907230302 | openHAB Core :: Bundles :: Thing
185 | Active | 75 | 2.5.0.201907230316 | openHAB Core :: Bundles :: Thing XML
186 | Active | 80 | 2.5.0.201907230306 | openHAB Core :: Bundles :: Transformation Service
187 | Active | 80 | 2.5.0.201907230313 | openHAB Core :: Bundles :: UI
188 | Active | 80 | 2.5.0.201907230331 | openHAB Core :: Bundles :: UI Icon Support
189 | Active | 80 | 2.5.0.201907230307 | openHAB Core :: Bundles :: Voice
199 | Active | 80 | 1.4.0 | ThreeTen-Extra
200 | Active | 80 | 1.0.3 | Units of Measurement Common Library
201 | Active | 80 | 1.0.10 | Units of Measurement Implementation for Java SE
202 | Active | 80 | 1.9.2 | Jackson JSON processor
203 | Active | 80 | 1.9.2 | Data mapper for Jackson JSON processor
204 | Active | 80 | 1.6.0 | Commons Codec
205 | Active | 80 | 4.2.3 | Apache HttpClient OSGi bundle
206 | Active | 80 | 4.2.3 | Apache HttpCore OSGi bundle
207 | Active | 80 | 3.1.0.7 | Apache ServiceMix :: Bundles :: commons-httpclient
208 | Active | 80 | 2.5.0.201907230313 | openHAB Core :: Bundles :: 1.x Compatibility Layer
[/quote]

All I did was the typically apt-get update and upgrade on Ubuntu Server machine. OH2 was running at the time of the upgrade as I did forget to stop it first.

Any ideas what when wrong?

The unstable snapshots are not guaranteed to work fully. I find the Testing versions quite reliable. I am running 2.5M2 but 2.5M3 was released this past weekend.

Yeah, well i get that. But I bet myself and many others having been running the snapshots for several years. If its a failed upgrade, its my first in probably 2+ years.

I just did apt-get clean. Then an install --reinstall and then in a webbrower I saw OH2 to start building the GUI’s but then errored out again. So not sure if bad download or something else.

I did another update and upgrade, and this time it looks like it took. The webgui’s loaded and bindings look to have started with zwave and other items showing online. I’m connected into the system remotey, but can try and test out a few things later tonight, but things seem good now.